/**
 * NOTE: This class is auto generated by the swagger code generator program (3.0.19).
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */
package io.swagger.api;

import io.swagger.model.PersonDto;
import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.bind.annotation.CookieValue;

import javax.validation.Valid;
import javax.validation.constraints.*;
import java.util.List;
import java.util.Map;
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen", date = "2020-05-01T12:16:40.594012-04:00[America/New_York]")
@Api(value = "api", description = "the api API")
public interface ApiApi {

    @ApiOperation(value = "", nickname = "addPerson", notes = "", tags={ "person-controller", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "OK") })
    @RequestMapping(value = "/api/person",
        consumes = { "application/json" },
        method = RequestMethod.POST)
    ResponseEntity<Void> addPerson(@ApiParam(value = "" ,required=true )  @Valid @RequestBody PersonDto body
);


    @ApiOperation(value = "", nickname = "getPerson", notes = "", response = PersonDto.class, tags={ "person-controller", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "OK", response = PersonDto.class) })
    @RequestMapping(value = "/api/person",
        produces = { "*/*" }, 
        method = RequestMethod.GET)
    ResponseEntity<PersonDto> getPerson();

}
